# Serialized Form

## Package org.eclipse.birt.report.engine.api

### Exception Class org.eclipse.birt.report.engine.api.EngineException

class EngineException extends org.eclipse.birt.core.exception.BirtException implements Serializable

serialVersionUID:
  3137320793453389473L

#### Serialized Fields

##### birtException

    org.eclipse.birt.core.exception.BirtException birtException

##### elementId

    long elementId

### Class org.eclipse.birt.report.engine.api.TOCStyle

class TOCStyle extends Object implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### properties

    HashMap<String,String> properties

### Exception Class org.eclipse.birt.report.engine.api.UnsupportedFormatException

class UnsupportedFormatException extends EngineException implements Serializable

serialVersionUID:
  8679478013338620162L